/***********************************************************//**
 *
 * Interface of G1226
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

#ifndef __G1226_H__INCLUDED__
#define __G1226_H__INCLUDED__

#include "stm32f4xx_hal.h"

/***********************************************************//**
 *
 * @struct G1226_Params
 * @brief Parameters
 *
 */

typedef struct
{
	SPI_HandleTypeDef* hspi; /**< SPI handle */
} G1226_Params;


/***********************************************************//**
 *
 * @enum G1226_Obj
 * @brief Object
 *
 */

typedef struct
{
	SPI_HandleTypeDef* hspi; /**< SPI handle */
} G1226_Obj;


#if defined __cplusplus
extern "C" {
#endif

extern void G1226_open( G1226_Obj* thisp, G1226_Params* params );

extern void G1226_print( G1226_Obj* thisp, int line, const int8_t* string, int count );

extern void G1226_dispClock( G1226_Obj* thisp, uint8_t bcdHours, uint8_t bcdMinutes, uint8_t bcdSeconds );

extern void G1226_dispLevel( G1226_Obj* thisp, int16_t level );

#if defined __cplusplus
}
#endif

#endif // __G1226_H__INCLUDED__


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
