/***********************************************************//**
 *
 * Interface of Peak
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

#ifndef __PEAK_H__INCLUDED__
#define __PEAK_H__INCLUDED__

/***********************************************************//**
 *
 * @struct Peak_Params
 * @brief Parameters
 *
 */

typedef struct
{
	void* reserved; /**< reserved */
} Peak_Params;


/***********************************************************//**
 *
 * @enum Peak_Obj
 * @brief Object
 *
 */

typedef struct
{
	int16_t adc_max; /**< max data */
} Peak_Obj;


#if defined __cplusplus
extern "C" {
#endif

extern void Peak_reset( Peak_Obj* thisp, Peak_Params* params );

extern void Peak_set( Peak_Obj* thisp, const uint16_t* adc_u12, int count );

extern int16_t Peak_get( Peak_Obj* thisp );

#if defined __cplusplus
}
#endif

#endif // __PEAK_H__INCLUDED__


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
