﻿/***********************************************************//**
 *
 * Implementation of Window & Correlation
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

///////////////////////////////////////////////////////
// include
#include <stdint.h>
#include "jihoudet_def.h"
#include "corr.h"

///////////////////////////////////////////////////////
// define



/***********************************************************//**
 *
 * @brief Window & Correlation
 * @param src Input data pointer
 * @param coeff Coefficient pointer
 * @return Power
 */

float Correlation( const float src[JIHOUDET_FRAME_CONV], const float coeff[JIHOUDET_FRAME_CONV][2] )
{
	// TODO:Write the code for execution in this position
	int i;
	float sum_s = 0;
	float sum_c = 0;
	
	for( i = 0; i < JIHOUDET_FRAME_CONV; i++ )
	{
		sum_c += src[i] * coeff[i][0];
		sum_s += src[i] * coeff[i][1];
	}
	
	// Power
	return sum_s * sum_s + sum_c * sum_c;
}


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
