﻿/***********************************************************//**
 *
 * Implementation of DcCut
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

///////////////////////////////////////////////////////
// include
#include <stdint.h>
#include "jihoudet_def.h"
#include "dccut.h"

///////////////////////////////////////////////////////
// define



/***********************************************************//**
 *
 * @brief Initialization
 * @param thisp Object pointer
 * @param params Parameter pointer
 */

void DcCut_reset( DcCut_Obj* thisp, const DcCut_Params* params )
{
	// TODO:Write the initialization code in this position
	thisp->m_alpha = params->alpha;
	
	thisp->m_z = 0;
	
	return;
}


/***********************************************************//**
 *
 * @brief Execution
 * @param thisp Object pointer
 * @param src Input data pointer
 * @param dst Output data pointer
 */

void DcCut_apply( DcCut_Obj* thisp, const float src[JIHOUDET_FRAME_06K], float dst[JIHOUDET_FRAME_06K] )
{
	// TODO:Write the code for execution in this position
	int i;
	float alpha = thisp->m_alpha;
	float alpha_r = ( (float)1.0 - alpha );
	float z = thisp->m_z;
	
	for( i = 0; i < JIHOUDET_FRAME_06K; i++ )
	{
		float tmp;
		float acc;
		
		tmp = ( z * alpha_r ) + ( src[i] * alpha );
		
		acc = src[i] - tmp;
		
		z = tmp;
		
		dst[i] = acc;
	}
	
	thisp->m_z = z;
	
	return;
}


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
