﻿/***********************************************************//**
 *
 * Interface of DcCut
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

#ifndef __DCCUT_H__INCLUDED__
#define __DCCUT_H__INCLUDED__

/***********************************************************//**
 *
 * @struct DcCut_Params
 * @brief Initialization parameters
 *
 */

typedef struct
{
	float alpha; /**< Time constant. (effect:small)0 < a < 1.0(effect:great) */
} DcCut_Params;


/***********************************************************//**
 *
 * @struct DcCut_Obj
 * @brief Object
 *
 */

typedef struct
{
	float m_alpha; /**< Time constant. (effect:small)0 < a < 1.0(effect:great) */
	float m_z; /**< Previous data */
} DcCut_Obj;


#if defined __cplusplus
extern "C" {
#endif

extern void DcCut_reset( DcCut_Obj* thisp, const DcCut_Params* params );

extern void DcCut_apply( DcCut_Obj* thisp, const float src[JIHOUDET_FRAME_06K], float dst[JIHOUDET_FRAME_06K] );

#if defined __cplusplus
}
#endif



#endif // __DCCUT_H__INCLUDED__


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
