﻿/***********************************************************//**
 *
 * Interface of DownFilt
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

#ifndef __DOWNFILT_H__INCLUDED__
#define __DOWNFILT_H__INCLUDED__

#define DOWNFILT_TAP	(75) /**< Coefficient length */

/***********************************************************//**
 *
 * @struct DownFilt_Params
 * @brief Initialization parameters
 *
 */

typedef struct
{
	void* reserved; /**< reserved */
} DownFilt_Params;


/***********************************************************//**
 *
 * @struct DownFilt_Obj
 * @brief Object
 *
 */
typedef struct
{
	float m_mem[DOWNFILT_TAP]; /**< Previous data */
} DownFilt_Obj;


#if defined __cplusplus
extern "C" {
#endif

extern void DownFilt_reset( DownFilt_Obj* thisp, const DownFilt_Params* params );

extern void DownFilt_apply( DownFilt_Obj* thisp, const float src[JIHOUDET_FRAME_12K], float dst[JIHOUDET_FRAME_06K] );

#if defined __cplusplus
}
#endif



#endif // __DOWNFILT_H__INCLUDED__


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
