﻿/***********************************************************//**
 *
 * Copy the buffer
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

///////////////////////////////////////////////////////
// include
#include <stdint.h>
#include "memcpy.h"

///////////////////////////////////////////////////////
// define


/***********************************************************//**
 *
 * @brief Copy the buffer
 * @param dst Destination buffer
 * @param src Source buffer
 * @param size Number to set
 */

void memcpy_i8( int8_t* dst, const int8_t* src, int size )
{
	int i;
	
	for( i = 0; i < size; i++ )
	{
		dst[i] = src[i];
	}
	
	return;
}


/***********************************************************//**
 *
 * @brief Copy the buffer
 * @param dst Destination buffer
 * @param src Source buffer
 * @param size Number to set
 */

void memcpy_i16( int16_t* dst, const int16_t* src, int size )
{
	int i;
	
	for( i = 0; i < size; i++ )
	{
		dst[i] = src[i];
	}
	
	return;
}


/***********************************************************//**
 *
 * @brief Copy the buffer
 * @param dst Destination buffer
 * @param src Source buffer
 * @param size Number to set
 */

void memcpy_i32( int32_t* dst, const int32_t* src, int size )
{
	int i;
	
	for( i = 0; i < size; i++ )
	{
		dst[i] = src[i];
	}
	
	return;
}


/***********************************************************//**
 *
 * @brief Copy the buffer
 * @param dst Destination buffer
 * @param src Source buffer
 * @param size Number to set
 */

void memcpy_f32( float* dst, const float* src, int size )
{
	int i;
	
	for( i = 0; i < size; i++ )
	{
		dst[i] = src[i];
	}
	
	return;
}


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
