﻿/***********************************************************//**
 *
 * Set the buffer to the specified value
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

///////////////////////////////////////////////////////
// include
#include <stdint.h>
#include "memset.h"

///////////////////////////////////////////////////////
// define


/***********************************************************//**
 *
 * @brief Set the buffer to the specified value
 * @param dst Destination buffer
 * @param value Value to set
 * @param size Number to set
 */

void memset_i8( int8_t* dst, int8_t value, int size )
{
	int i;
	
	for( i = 0; i < size; i++ )
	{
		dst[i] = value;
	}
	
	return;
}


/***********************************************************//**
 *
 * @brief Set the buffer to the specified value
 * @param dst Destination buffer
 * @param value Value to set
 * @param size Number to set
 */

void memset_i16( int16_t* dst, int16_t value, int size )
{
	int i;
	
	for( i = 0; i < size; i++ )
	{
		dst[i] = value;
	}
	
	return;
}


/***********************************************************//**
 *
 * @brief Set the buffer to the specified value
 * @param dst Destination buffer
 * @param value Value to set
 * @param size Number to set
 */

void memset_i32( int32_t* dst, int32_t value, int size )
{
	int i;
	
	for( i = 0; i < size; i++ )
	{
		dst[i] = value;
	}
	
	return;
}


/***********************************************************//**
 *
 * @brief Set the buffer to the specified value
 * @param dst Destination buffer
 * @param value Value to set
 * @param size Number to set
 */

void memset_f32( float* dst, float value, int size )
{
	int i;
	
	for( i = 0; i < size; i++ )
	{
		dst[i] = value;
	}
	
	return;
}


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
