﻿/***********************************************************//**
 *
 * Implementation of Maximum value search
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

///////////////////////////////////////////////////////
// include
#include <stdint.h>
#include "jihoudet_def.h"
#include "search.h"

///////////////////////////////////////////////////////
// define



/***********************************************************//**
 *
 * @brief Maximum value search
 * @param corr_pow Power of correlation
 * @return Index maximum correlation
 */

int Search( const float corr_pow[JIHOUDET_SEARCH_NUM] )
{
	// TODO:Write the code for execution in this position
	int i;
	int idx = 0;
	float maxpow = corr_pow[0];
	
	for( i = 1; i < JIHOUDET_SEARCH_NUM; i++ )
	{
		if( maxpow < corr_pow[i] )
		{
			maxpow = corr_pow[i];

			idx = i;
		}
	}
	
	return idx;
}


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
